Subject: [Simple] XCAP: what does in the 200 of a PUT request

From: [email-masked]
Date: Thu, 11 Dec 2003 11:42:18 +0200

This is not clear in XCAP. I also check RFC2616 to find out some sort of answer, but it is not clear there either.

Should the 200 (or 201 for that matter) contain the contents the were PUT? If so, does it include the resource interdependencies (like the resource list URI in the list case)?

If no, does that mean the client needs to follow the PUT with a GET to learn of the resource interdependencies?

Thanks,
Hisham

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: [email-masked]
Date: Thu, 11 Dec 2003 11:56:38 +0200

of course the question was: What goes in the body of a 200 response of a PUT request? 

Apologies for the lack of clarity in the first post.

/Hisham

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> ext [email-masked]
> Sent: 11.December.2003 11:42
> To: [email-masked]
> Subject: [Simple] XCAP: what does in the 200 of a PUT request
> 
> 
> This is not clear in XCAP. I also check RFC2616 to find out 
> some sort of answer, but it is not clear there either.
> 
> Should the 200 (or 201 for that matter) contain the contents 
> the were PUT? If so, does it include the resource 
> interdependencies (like the resource list URI in the list case)?
> 
> If no, does that mean the client needs to follow the PUT with 
> a GET to learn of the resource interdependencies?
> 
> Thanks,
> Hisham
>

---

From: [email-masked]
Date: Fri, 12 Dec 2003 09:07:58 +0200

The real question is: is it wrong to have a body in a HTTP 200 response for a PUT request? If not, can XCAP define what goes in the body?

If a body in the 200 is wrong, does that mean the XCAP client needs to follow the PUT with a GET to learn of the XCAP usage resource interdependencies?

Regards,
Hisham

> From: ext Ted Hardie [mailto:[email-masked]]
> Sent: 11.December.2003 20:50
> To: Khartabil Hisham (NMP-MSW/Helsinki); [email-masked]
> Subject: Re: [Simple] XCAP: what does in the 200 of a PUT request
> 
> 
> At 11:42 AM +0200 12/11/2003, [email-masked] wrote:
> The 200 response doesn't require a response body for HTTP.  
> You can define
> a response body appropriate for a specific method  (Julian Reschke has
> a webdav-related example in his draft for checkin; a uri for that is:
> http://www.greenbytes.de/tech/webdav/draft-reschke-deltav-comp
> ute-checkin-uri-01.html)
> For PUT, though, you should probably be able to handle 
> getting a bare 200 response (see
> section 9.6 of RFC 2616.)
> 
> Or am I misunderstanding your question?
> 				regards,	
> 					Ted Hardie
> 
> 
> >If no, does that mean the client needs to follow the PUT 
> with a GET to learn of the resource interdependencies?
> >
> >Thanks,
> >Hisham
> >